org.hibernate.validator.internal.engine

## Class ValidatorContextImpl

- java.lang.Object
- - org.hibernate.validator.internal.engine.ValidatorContextImpl

- All Implemented Interfaces:
    ValidatorContext, HibernateValidatorContext

      public class ValidatorContextImpl
      extends Object
      implements HibernateValidatorContext

  Author:
    Emmanuel Bernard, Hardy Ferentschik, Kevin Pollet (C) 2011 SERLI, Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorContextImpl(ValidatorFactoryImpl validatorFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HibernateValidatorContext` | `addValidationValueHandler(ValidatedValueUnwrapper<?> handler)` Registers the given validated value unwrapper with the bootstrapped validator.
    `HibernateValidatorContext` | `constraintValidatorFactory(ConstraintValidatorFactory factory)`
    `HibernateValidatorContext` | `failFast(boolean failFast)` En- or disables the fail fast mode.
    `Validator` | `getValidator()`
    `HibernateValidatorContext` | `messageInterpolator(MessageInterpolator messageInterpolator)`
    `HibernateValidatorContext` | `parameterNameProvider(ParameterNameProvider parameterNameProvider)`
    `HibernateValidatorContext` | `traversableResolver(TraversableResolver traversableResolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorContextImpl

          public ValidatorContextImpl(ValidatorFactoryImpl validatorFactory)

  - ### Method Detail

    - #### messageInterpolator

          public HibernateValidatorContext messageInterpolator(MessageInterpolator messageInterpolator)

      Specified by:
        `messageInterpolator` in interface `ValidatorContext`
      Specified by:
        `messageInterpolator` in interface `HibernateValidatorContext`

    - #### traversableResolver

          public HibernateValidatorContext traversableResolver(TraversableResolver traversableResolver)

      Specified by:
        `traversableResolver` in interface `ValidatorContext`
      Specified by:
        `traversableResolver` in interface `HibernateValidatorContext`

    - #### constraintValidatorFactory

          public HibernateValidatorContext constraintValidatorFactory(ConstraintValidatorFactory factory)

      Specified by:
        `constraintValidatorFactory` in interface `ValidatorContext`
      Specified by:
        `constraintValidatorFactory` in interface `HibernateValidatorContext`

    - #### parameterNameProvider

          public HibernateValidatorContext parameterNameProvider(ParameterNameProvider parameterNameProvider)

      Specified by:
        `parameterNameProvider` in interface `ValidatorContext`

    - #### failFast

          public HibernateValidatorContext failFast(boolean failFast)

      Description copied from interface: `HibernateValidatorContext`
      En- or disables the fail fast mode. When fail fast is enabled the validation will stop on the first constraint violation detected.
      Specified by:
        `failFast` in interface `HibernateValidatorContext`
      Parameters:
        `failFast` - `true` to enable fail fast, `false` otherwise.
      Returns:
        `this` following the chaining method pattern

    - #### addValidationValueHandler

          public HibernateValidatorContext addValidationValueHandler(ValidatedValueUnwrapper<?> handler)

      Description copied from interface: `HibernateValidatorContext`
      Registers the given validated value unwrapper with the bootstrapped validator. When validating an element which is of a type supported by the unwrapper and which is annotated with `UnwrapValidatedValue`, the unwrapper will be applied to retrieve the value to validate.
      Specified by:
        `addValidationValueHandler` in interface `HibernateValidatorContext`
      Parameters:
        `handler` - the unwrapper to register
      Returns:
        `this` following the chaining method pattern

    - #### getValidator

          public Validator getValidator()

      Specified by:
        `getValidator` in interface `ValidatorContext`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved